<?php
namespace Incoviba\Command\Contabilidad\Cartolas;

use Symfony\Component\Console;
use Incoviba\Common\Alias\Command;

#[Console\Attribute\AsCommand(
    name: 'contabilidad:cartolas:update',
    description: 'Actualiza las cartolas faltante de los bancos de acuerdo a los movimientos ingresados'
)]
class Update extends Command
{
    public function execute(Console\Input\InputInterface $input, Console\Output\OutputInterface $output)
    {
        $this->logger->debug("Running {$this->getName()}");
        $uri = '/api/contabilidad/cartolas/update';
        $output->writeln("GET {$uri}");
        $response = $this->client->get($uri);
        $output->writeln("Response Code: {$response->getStatusCode()}");
        return Console\Command\Command::SUCCESS;
    }
}
